uses
	testlib, sysutils;
var
	ja, pa: longint;
	s: string;
begin
	ja := ans.readlongint;
	pa := ouf.readlongint;

	s := inf.readstring;

	if ja <> pa then
		quit(_wa, format('expected: %d, found: %d', [ja, pa]));

	quit(_ok, format('len = %d, ans = %d', [length(s), ja]));
end.